/* Fitxer: verscomp-g.c per a compilador gcc

   Descripci: Fitxer per a contenir les definicions de les funcions que ens 
               permeten compatibilitzar el material dels exercicis entre 
			   diferents plataformes

   Autor: Isidre Guix

   Cal tenir-ne una cpia amb nom verscomp.c en el directori de treball
*/

#include "verscomp.h"
#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <unistd.h>
#include <errno.h>
#include <dirent.h>

void neteja_stdin(void)
{
	int ch;
	do
		ch=getchar();
	while (ch != EOF && ch != '\n');
	
	clearerr(stdin);
}

char *strlwr(char *s)
{
	int i, n=strlen(s);
	for (i=0; i<n; i++) s[i]=(char)tolower(s[i]);
	return s;
}

char *strupr(char *s)
{
	int i, n=strlen(s);
	for (i=0; i<n; i++) s[i]=(char)toupper(s[i]);
	return s;
}

#define MAX_LEN_PATH 1000

int existeix_fitxer(const char *nom)
{
	char dirActual[MAX_LEN_PATH];
	DIR *dir;
	struct dirent *info;

	getcwd(dirActual,MAX_LEN_PATH);
	if (errno==ERANGE) return -1;

	dir = opendir (dirActual);
	if (!dir) return -1;

	info = readdir (dir);
	while (info && strcmp(info->d_name,nom)!=0)
		info = readdir (dir);

	closedir(dir);
	if (!info) return -1;

	return 0;
}
